#!/bin/sh

# Author: Lance Lin <LQi254@protonmail.com>
# Date: 14 February 2022
# File: run-unit-test
# Purpose: run the built-in unit test framework for toml11

# bypass SSL verification on autopkgtest VM
export GIT_SSL_NO_VERIFY=1

# test build directions from upstream github page
mkdir build
cd build
cmake .. -Dtoml11_BUILD_TEST=ON
make
make test

